FcUtf16ToUcs4(3) |  | FcUtf16ToUcs4(3)

# NAME

FcUtf16ToUcs4 - convert UTF-16 to UCS4

# SYNOPSIS

#include <fontconfig.h>
int FcUtf16ToUcs4(FcChar8 *src);
(FcEndian endian);
(FcChar32 *dst);
(int len);
.fi

# DESCRIPTION

Converts the next Unicode char from src into dst and returns the number of bytes containing the char. src must be at least len bytes long. Bytes of src are combined into 16-bit units according to endian.

# VERSION

Fontconfig version 2.8.0

18 November 2009 |